This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 1543813 - Review Request: pwkickstart - generate kickstart passwords
Summary: Review Request: pwkickstart - generate kickstart passwords
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-09 11:22 UTC by Lukas Zapletal
Modified: 2018-03-13 17:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 17:19:09 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Lukas Zapletal 2018-02-09 11:22:36 UTC
Spec URL: https://raw.githubusercontent.com/lzap/spec_reviews/master/pwkickstart.spec
SRPM URL: https://lzap.fedorapeople.org/fedora-packaging/pwkickstart/1.0.1/pwkickstart-1.0.1-1.fc27.src.rpm
Description: generate kickstart passwords
Fedora Account System Username: lzap

Thanks!

Comment 1 Neal Gompa 2018-02-09 16:04:19 UTC
Review notes:

[x] Package follows packaging guidelines
[x] Installs and runs correctly
[x] Licensing is correctly denoted and license file is correctly installed
[!] Ambiguous Python dependency

Please ensure the correct Python version is selected. Python 3 is preferred if at all possible.

Comment 2 Lukas Zapletal 2018-02-12 13:39:16 UTC
Thanks Neal,

good one. I actually bumped upstream to 1.0.2 so there is now both python3 and 2 compatibility. Shebang now uses python3 by default.

https://github.com/lzap/pwkickstart/commit/c19c8a5b77b8c884461a7d17d38391471fb9fb63

Rebased the SPEC on the new version and added python3 as the dependency.

https://github.com/lzap/spec_reviews/commit/298b101e7574ae7c956095be9cff3e6af3f785f6

SPEC URL: https://raw.githubusercontent.com/lzap/spec_reviews/master/pwkickstart.spec
SRPM URL: https://lzap.fedorapeople.org/fedora-packaging/pwkickstart/1.0.2/pwkickstart-1.0.2-1.fc27.src.rpm

Comment 3 Neal Gompa 2018-02-12 17:40:07 UTC
Looks good to me now.

PACKAGE APPROVED.

Comment 5 Gwyn Ciesla 2018-02-13 13:41:52 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/pwkickstart. You may commit to the branch "f27" in about 10 minutes.

Comment 6 Fedora Update System 2018-02-14 13:10:40 UTC
pwkickstart-1.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0b09e66084

Comment 7 Fedora Update System 2018-02-14 13:11:06 UTC
pwkickstart-1.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fcd5fb27e1

Comment 8 Fedora Update System 2018-02-14 17:46:44 UTC
pwkickstart-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0b09e66084

Comment 9 Fedora Update System 2018-02-14 18:28:31 UTC
pwkickstart-1.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fcd5fb27e1

Comment 10 Fedora Update System 2018-02-19 07:50:01 UTC
pwkickstart-1.0.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a8b20677ea

Comment 11 Fedora Update System 2018-02-19 08:12:51 UTC
pwkickstart-1.0.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3053770bc1

Comment 12 Fedora Update System 2018-02-19 18:03:21 UTC
pwkickstart-1.0.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3053770bc1

Comment 13 Fedora Update System 2018-02-27 17:19:09 UTC
pwkickstart-1.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-03-13 17:06:20 UTC
pwkickstart-1.0.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.